> For the complete documentation index, see [llms.txt](https://docs.velafi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.velafi.com/velafi-1/api-reference/account/get-account-details.md).

# Get Account Details

This API allows you to retrieve the details of a user's account.

#### Endpoint Information

* **Request Header**: `X-BH-TOKEN: ******`
* **Request Method**: `GET`
* **Request Path**: `/v2/user/account`
* **Authorization Required**: Yes

#### Response Structure

The response will include the following fields:

```json
{
  "code": 200,                      // (number: response code)
  "msg": "SUCCESS",                 // (string: message)
  "data": {                         // (object: account details)
    "userId": 0,                    // (number: user ID)
    "country": "",                  // (string: name of the country)
    "companyName": "",              // (string: name of the company)
    "kycPassed": false,             // (boolean: whether the user passed KYC)
    "buyAmountLimit": 0.0,          // (number: buy amount limit)
    "buyAmountUsed": 0.0,           // (number: buy amount used)
    "sellAmountLimit": 0.0,         // (number: sell amount limit)
    "sellAmountUsed": 0.0            // (number: sell amount used)
  }
}
```

#### Example Response

```json
{
  "code": 200,
  "msg": "SUCCESS",
  "data": {
    "userId": 1,
    "country": "Argentina",
    "companyName": "velafi",
    "kycPassed": true,
    "buyAmountLimit": 250000.0,
    "buyAmountUsed": 0.0,
    "sellAmountLimit": 250000.0,
    "sellAmountUsed": 0.0
  }
}
```

#### Notes

* Ensure that you include the necessary authorization tokens in the request headers for successful execution.
* The `kycPassed` field indicates whether the user has completed the KYC (Know Your Customer) process.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.velafi.com/velafi-1/api-reference/account/get-account-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
